View Issue Details

IDProjectCategoryView StatusLast Update
0019087LazarusLCLpublic2011-11-10 17:49
ReporterVojtech CihakAssigned ToJesus Reyes 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version0.9.31 (SVN)Product Build 
Target VersionFixed in Version0.9.31 (SVN) 
Summary0019087: TStringGrid InsertColRow issue
DescriptionWhen I use method InsertColRow(True, Index); (True = for Columns) then Column is inserted but content of grid is ignored.

How to reproduce:
1, Run demo project.
2, Press first button. It is IMO bug.
3, RESTART! demo project.
4, Press second button, where insertion is done manually via Add+MoveColRow.
   Now works as expected.

Thanks.
Additional InformationLazarus 0.9.31 r30161M FPC 2.5.1 x86_64-linux-qt
TagsNo tags attached.
Fixed in Revision33453
LazTarget0.99.0
Widgetset
Attached Files

Activities

2011-04-04 16:38

 

Bug_Insert_Col.zip (2,729 bytes)

Vojtech Cihak

2011-11-10 17:49

reporter   ~0053984

I tested in r.33460, works well. Thank you.

Issue History

Date Modified Username Field Change
2011-04-04 16:38 Vojtech Cihak New Issue
2011-04-04 16:38 Vojtech Cihak File Added: Bug_Insert_Col.zip
2011-04-05 07:59 Zeljan Rikalo Status new => assigned
2011-04-05 07:59 Zeljan Rikalo Assigned To => Jesus Reyes
2011-11-10 08:08 Jesus Reyes Fixed in Revision => 33453
2011-11-10 08:08 Jesus Reyes LazTarget => 0.99.0
2011-11-10 08:08 Jesus Reyes Status assigned => resolved
2011-11-10 08:08 Jesus Reyes Fixed in Version => 0.9.31 (SVN)
2011-11-10 08:08 Jesus Reyes Resolution open => fixed
2011-11-10 08:08 Jesus Reyes Target Version => 0.99.0
2011-11-10 17:49 Vojtech Cihak Status resolved => closed
2011-11-10 17:49 Vojtech Cihak Note Added: 0053984